## org.bn.compiler.parser.model
Class AsnElementType

    java.lang.Object
      org.bn.compiler.parser.model.AsnElementType

    public class AsnElementType

extends java.lang.Object

Field Summary
`boolean` `isComponentsOf`
`boolean` `isDefault`
`boolean` `isDefinedType`
`boolean` `isOptional`
`boolean` `isTag`
`boolean` `isTagDefault`
`java.lang.String` `name`
`AsnTag` `tag`
`java.lang.String` `typeName`
`java.lang.Object` `typeReference`
`java.lang.String` `typeTagDefault`
`AsnValue` `value`

Constructor Summary
`AsnElementType()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### isComponentsOf

    public boolean isComponentsOf

### isDefault

    public boolean isDefault

### isDefinedType

    public boolean isDefinedType

### isOptional

    public boolean isOptional

### isTag

    public boolean isTag

### isTagDefault

    public boolean isTagDefault

### name

    public java.lang.String name

### tag

    public AsnTag tag

### typeName

    public java.lang.String typeName

### typeReference

    public java.lang.Object typeReference

### typeTagDefault

    public java.lang.String typeTagDefault

### value

    public AsnValue value

Constructor Detail

### AsnElementType

    public AsnElementType()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`